LINUX.ORG.RU
ФорумAdmin

не ставится wine-bin:i386 на debian 7 x64

 , ,


0

1

поставил wine 64 на debian 7 64
хотел поставить фотошоп, но он потребовал wine-bin:i386
потом я немного «поигрался со шрифтами» и apt-get снёс мне порядка 400 пакетов..

в общем, систему я восстановил, снова поставил wine-64
слегка поумнел и теперь юзаю aptitude

делаю aptitude install wine-bin:i386
он предлагает оставить всё как есть, отклоняю такое решение
тогда он предлагает снести 400 пакетов, якобы мне это поможет

ну и далее, сколько не отказывайся от удаления, он предлагает одно и то же решение

что делать? как его установить?

потом я немного «поигрался со шрифтами» и apt-get снёс мне порядка 400 пакетов..

Хорошо поигрался, молодец.

Каким образом ты «восстанавливал» систему?

И да, apt-get install -f ситуацию с зависимостями разрулить не предлагает?

Zhbert ★★★★★ ()

sudo dpkg --add-architecture i386 && sudo apt-get update && sudo apt-get install blablabla

roman77 ★★★★★ ()
Ответ на: комментарий от Zhbert

каким образом ты «восстанавливал» систему?

грепнул из какого-то лога список удаленных пакетов и заново поставил
вроде все работает

apt-get install -f - пробовал, я ж не мальчик какой
не реагирует

sudo dpkg --add-architecture i386

точно

sergey-novikov ★★★ ()
Последнее исправление: sergey-novikov (всего исправлений: 1)

хотел поставить фотошоп

который ты своровал

anonymous ()
Ответ на: комментарий от sergey-novikov

я ж не мальчик какой

Да не обижайся, я просто так все варианты перечисляю, вдруг ты забыл =) Сам знаешь, тут и не такие кадры попадаются ;D

sudo dpkg --add-architecture i386

А вот об этом я, например, не подумал. Как-то даже не обратил внимания, что у тебя там 386...

Zhbert ★★★★★ ()
Ответ на: комментарий от Zhbert

Да не обижайся, я просто так все варианты перечисляю

какие обиды, я шучу))

Добавил архитектуру, сделал update/dist-upgrade/upgrade

aptitude install -P wine-bin:i386

Следующие пакеты имеют неудовлетворённые зависимости:
libncurses5 : Ломает: libncurses5:i386 (!= 5.9+20140913-1) но устанавливается 5.9-10.
libncurses5:i386 : Ломает: libncurses5 (!= 5.9-10) но установлен 5.9+20140913-1
libtinfo5 : Ломает: libtinfo5:i386 (!= 5.9+20140913-1) но устанавливается 5.9-10.
libtinfo5:i386 : Ломает: libtinfo5 (!= 5.9-10) но установлен 5.9+20140913-1
libp11-kit0 : Ломает: libp11-kit0:i386 (!= 0.20.7-1) но устанавливается 0.12-3.
libp11-kit0:i386 : Ломает: libp11-kit0 (!= 0.12-3) но установлен 0.20.7-1
wine-bin:i386 : Конфликтует: wine64-bin но установлен 1.4.1-4
wine64-bin : Конфликтует: wine-bin который является виртуальным пакетом.
Конфликтует: wine-bin:i386 но устанавливается 1.4.1-4.
Следующие действия разрешат зависимости:

Сохранить для следующих пакетов их текущие версии:
1) libgnutls26:i386 [Не установлен]
2) libncurses5:i386 [Не установлен]
3) libp11-kit0:i386 [Не установлен]
4) libtinfo5:i386 [Не установлен]
5) libwine:i386 [Не установлен]
6) libwine-alsa:i386 [Не установлен]
7) libwine-bin:i386 [Не установлен]
8) libwine-gl:i386 [Не установлен]
9) wine-bin:i386 [Не установлен]

Ну и если откажешься, то снова предлагает удалить 400 пакетов))

sergey-novikov ★★★ ()

aptitude плохо работает с мультиарч, в любой непонятной ситуации предлагает удалить все пакеты сторонней архитектуры. Используй apt-get и следи за тем что тебе предлагают сделать.

maloi ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.